package ru.yandex.webmaster3.core.semantic.semantic_document_parser.rdfa.exceptions;

import ru.yandex.webmaster3.core.semantic.semantic_document_parser.rdfa.data.RDFaEntity;
import ru.yandex.webmaster3.core.semantic.semantic_document_parser.location.EntityLocation;

/**
 * Created with IntelliJ IDEA.
 * User: aleksart
 * Date: 25.11.13
 * Time: 13:17
 * To change this template use File | Settings | File Templates.
 */
public class NoSuchSchemaFieldRDFaValidatorException extends RDFaException {
    @Override
    public String getKey() {
        return "schema_no_field";
    }

    public NoSuchSchemaFieldRDFaValidatorException(final boolean isCritical, final RDFaEntity data, final String message) {
        super(isCritical, data, message);
    }

    public NoSuchSchemaFieldRDFaValidatorException(final boolean isCritical, final RDFaEntity data, final String message, final EntityLocation location) {
        super(isCritical, data, message, location);
    }
}
